Bug 91377 - MAILMERGE: form letter to a printer as separate records printouts (Details in Comment 10)
Summary: MAILMERGE: form letter to a printer as separate records printouts (Details in...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-05-19 10:09 UTC by Günther Breitfuß
Modified: 2016-10-05 09:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
printing bug - this function not work (63.77 KB, image/png)
2015-05-20 17:49 UTC, Günther Breitfuß
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Günther Breitfuß 2015-05-19 10:09:22 UTC
I need for multi-page form letters cover-sheets from other feed trays and want to cling the single documents with our Printingstation. The function of the separation for form letters not working.
Comment 1 Timur 2015-05-20 16:35:43 UTC
Can you please clarify current and expected results?
Is this a duplicate of Bug 86672?
Comment 2 Günther Breitfuß 2015-05-20 17:49:08 UTC
Created attachment 115755 [details]
printing bug - this function not work
Comment 3 Günther Breitfuß 2015-05-20 17:50:10 UTC
No, Bug 86672 is not my problem. 

We have in our office a printstation with lot of functions. I can select to need a cover-sheet from another tray as the follow sheets, print one side or both sides, sort dokuments on different output-trays and staple the documents.

On printing multi-page form letter (with datafields and a lot of records) and need special cover-sheets from another sheet-tray as the follow sheets und automatic staple the documents doesn't work. The printer make ONE document with ONE cover-sheet and want to cling together all in ONE piece.

To prevent this, there is the print function (german language) "Einzelne Druckausgaben für sortierte Ausgabe erzeugen" (Attachment). I think, it doesn't work.
Comment 4 Timur 2015-05-20 19:03:41 UTC
That's "Create single print jobs for collated output". 
If we take let's say 2-page document with 5 records and 2 copies for PDF printer:
- if "single print jobs" is off, we get one 20 pages document
- if it's on, we get 2 files 10 pages each.
So, I'm still not clear what is it that doesn't work and what are the exact current and expected results. 
You should be very detailed for specific bugs like this, that are not widely used, and not assume that something is obvious.
Comment 5 Günther Breitfuß 2015-05-20 19:51:20 UTC
Excuse me, this is due to my low English konwledge.:-)

It's a problem of mail merge function. There is allways only one instance per record. By a 2-page document with 5 records, the printer needs 5 printing-files if "Create single print ..." is on. One per record.

It works correct by an output in files (not to a printer), select first dialog after strg+p with a mail merge document (if is selceted file/single documents).

Is that understandable?
Comment 6 Timur 2015-05-21 14:40:13 UTC Comment hidden (obsolete)
Comment 7 Günther Breitfuß 2015-05-21 20:10:14 UTC Comment hidden (obsolete)
Comment 8 Günther Breitfuß 2015-05-21 20:19:32 UTC
In most cases, the records are postal addresses. Each letter possibly contains a its own cover-sheet and comes into its own envelope ...

We urgently need this output option.
Comment 9 Timur 2015-05-22 07:22:06 UTC Comment hidden (obsolete)
Comment 10 Timur 2015-05-22 07:28:11 UTC
Current possibilities:
If we take 2-page form document with 5 records and print a form letter in 2 copies, we get one 20 pages document with "Create single print jobs for collated output" off (1 cover page printed) or 2 printouts with 10 pages each with that option on (2 cover pages printed).
Printing form letters separately works correctly only with file output, and merged document can be saved as single or individual documents.

Expected possibility:
We also want an option to print a form letter to a printer as separate records printouts. 

Example: 
2-page printouts for 5 postal addresses, each in 2 copies (10 cover pages printed in this case). 

Proposed solution: 
"Save Merged Document" should be renamed to "Merged Document Output" and (except file name section) available both for Printer and File Output.
As requested in Bug 86672, we should also be able choose a number of copies for printing.
Comment 11 Timur 2015-05-22 07:38:09 UTC
Example in attachment 115796 [details]
mailmerge Print dialog example: added Pages and Ranges and Output
Comment 12 Thorsten Behrens (CIB) 2015-05-29 14:08:57 UTC
Is bug 91720 a duplicate? If yes, a fix for that just went into master.
Comment 13 Günther Breitfuß 2015-05-29 19:28:41 UTC
No, it isn't a duplicate of the bug 91720.
Comment 14 Adolfo Jayme 2015-05-30 20:03:33 UTC
This isn’t a UX issue.
Comment 15 Timur 2015-06-01 08:04:44 UTC
Title changed from "MAILMERGE: single print jobs for collated output doesn't work (Details in Comment 10)" to "MAILMERGE: form letter to a printer as separate records printouts (Details in Comment 10)".